For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Visit appVisit websiteBook a demo
  • Get Started
    • Welcome
  • Authentication
    • Hirer Service Accounts
  • Concepts
    • Introduction
    • Directory & Contractors
    • Contracts
    • Approvals
    • Timesheeting
    • Checklists
  • Webhooks
    • Portal Access
    • Endpoint Setup
    • Securing Your Endpoints
    • Monitoring, Debugging & Recovery
  • Client API
      • POSTCreate a project
      • POSTUpsert projects in bulk via file
    • Webhook Events
LogoLogo
Visit appVisit websiteBook a demo
Client APIProjects

Upsert projects in bulk via file

POST
https://api.yunojuno.com/projects/bulk_via_file/
POST
/projects/bulk_via_file/
$curl -X POST https://api.yunojuno.com/projects/bulk_via_file/ \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "api_file_upload_id": "string",
> "action": "PARTIAL_UPDATE"
>}'
202Accepted
1{
2 "async_request": {
3 "async_request_id": "string",
4 "async_request_url": "string",
5 "state": "string",
6 "source": "string",
7 "created_at": "2024-01-15T09:30:00Z",
8 "processed_at": "2024-01-15T09:30:00Z",
9 "error_message": "string"
10 }
11}

Upsert multiple projects from a previously uploaded file.

This endpoint allows you to bulk upsert projects from a previously uploaded file. The file should be a JSONL file containing project data. The endpoint queues an async task to process the file, and so results are not returned immediately. You can check the status of the async request using the async_request endpoint.

Was this page helpful?
Previous

List client data lists

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
api_file_upload_idstringRequired<=40 characters

The ID of the API file upload containing the projects data in JSONL format. The file upload must have been marked completed and only for the BULK_PROJECT_UPSERT purpose.

actionenumRequired

The action to carry out on the provided project set.

  • PARTIAL_UPDATE - Partial update
  • FULL_UPDATE - Full update
Allowed values:
error_handlingenumOptional

Controls how errors are handled. STRICT will fail the entire request if any error occurs. LENIENT will skip individual errors and process all valid items.

  • STRICT - Stop on first error
  • LENIENT - Skip errors and continue
Allowed values:

Response

async_requestobject
The asynchronous request object. This object represents a request that has been submitted for further background processing.